wxWidgets: wxWindowUpdateLocker Class Reference

| Version: 3.2.2

Public Member Functions | List of all members
wxWindowUpdateLocker Class Reference
Class List by Category » Miscellaneous

`#include <wx/wupdlock.h>`

## Detailed Description

This tiny class prevents redrawing of a wxWindow during its lifetime by using wxWindow::Freeze() and wxWindow::Thaw() methods.

It is typically used for creating automatic objects to temporarily suppress window updates before a batch of operations is performed:

void MyFrame::Foo()
{
m_text = new wxTextCtrl(this, ...);
wxWindowUpdateLocker noUpdates(m_text);
m_text-AppendText();
... many other operations with m_text...
m_text-WriteText();
}
wxTextCtrl
A text control allows text to be displayed and edited.
Definition: textctrl.h:1318
wxWindowUpdateLocker
This tiny class prevents redrawing of a wxWindow during its lifetime by using wxWindow::Freeze() and ...
Definition: wupdlock.h:36

Using this class is easier and safer than calling wxWindow::Freeze() and wxWindow::Thaw() because you don't risk to forget calling the latter.

##

Library: wxBase
Category: Miscellaneous

## Public Member Functions
| wxWindowUpdateLocker ()
| Default constructor doesn't do anything. More...
| wxWindowUpdateLocker (wxWindow *win)
| Creates an object preventing the updates of the specified win. More...
void | Lock (wxWindow *win)
| Really lock window updates. More...
| ~wxWindowUpdateLocker ()
| Destructor reenables updates for the window this object is associated with. More...

## Constructor & Destructor Documentation

## ◆ wxWindowUpdateLocker() [1/2]

wxWindowUpdateLocker::wxWindowUpdateLocker | ( |  | ) |

Default constructor doesn't do anything.

Prefer using the non-default constructor if possible, this constructor is only useful if Lock() must be called conditionally, i.e. if it may or not be called depending on some run-time condition.

Since
  3.1.4

## ◆ wxWindowUpdateLocker() [2/2]

wxWindowUpdateLocker::wxWindowUpdateLocker | ( | wxWindow * | win | ) |
| explicit

Creates an object preventing the updates of the specified win.

The parameter must be non-NULL and the window must exist for longer than wxWindowUpdateLocker object itself.

## ◆ ~wxWindowUpdateLocker()

wxWindowUpdateLocker::~wxWindowUpdateLocker | ( |  | ) |

Destructor reenables updates for the window this object is associated with.

## Member Function Documentation

## ◆ Lock()

void wxWindowUpdateLocker::Lock | ( | wxWindow * | win | ) |

Really lock window updates.

This method can only be called on an object initialized using the default constructor.

Parameters

  win | Non-NULL window which must exist for longer than this object.

Since
  3.1.4